Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar
  • Página:
  • 1
  • 2

TÓPICO: Erro "A base de dados está inconsistente"

Erro "A base de dados está inconsistente" 07 Nov. 2015 18:23 #9894

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5361
  • Obrigado recebido 745
cortelos escreveu:
Experimentei criar a base de dados via API e na tabela PARAMETROS aparece como versão 10.1.0. Contudo, ao abrir a aplicação a mesma solicita a actualização para a versão 10.2.0. Caso faço a actualização, a API deixa de funcionar, caso contrario não consigo entrar na aplicação.

Caro André, p.f. utilize a release mais recente, que já foi colocada no GITHUB.
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

Erro "A base de dados está inconsistente" 07 Nov. 2015 07:30 #9893

  • cortelos
  • Avatar de cortelos
  • Offline
  • Mensagens: 3
  • Obrigado recebido 1
Bom dia,

Experimentei criar a base de dados via API e na tabela PARAMETROS aparece como versão 10.1.0. Contudo, ao abrir a aplicação a mesma solicita a actualização para a versão 10.2.0. Caso faço a actualização, a API deixa de funcionar, caso contrario não consigo entrar na aplicação.

Cumprimentos,
André Macedo.
Última Edição: 07 Nov. 2015 18:22 por marcolopes.
O adminstrador desactivou a escrita pública.

Erro "A base de dados está inconsistente" 07 Nov. 2015 02:16 #9887

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5361
  • Obrigado recebido 745
cortelos escreveu:
Estou a tentar efectuar a integração através da vossa API. Ao correr o Colibri normalmente, não tenho qualquer problema, no entanto, ao efectuar o login através da API (segundo o vosso exemplo, mas usando o login através do MySQL) obtenho um erro a indicar que a base de dados está inconsistente. A BD foi criada com a última versão do Colibri que está disponível para download na versão Linux e a com a versão mais recente do exemplo que está no github.

O problema é esse mesmo! A base de dados foi criada com a versão 10.2 (?) e a versão mais recente da API exportada é a versão 10.1!

Iremos efectuar o EXPORT da API 10.2 (agora que a versão final já foi lançada) ainda este fim de semana. Agradeço que use essa versão, e não terá qualquer problema de inconsistência.

Logo que esteja disponível, será anúnciado aqui: www.projectocolibri.com/forum/api-interf...955-api-da-versao-10
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

Erro "A base de dados está inconsistente" 06 Nov. 2015 20:23 #9885

  • cortelos
  • Avatar de cortelos
  • Offline
  • Mensagens: 3
  • Obrigado recebido 1
Boa noite,

Estou a tentar efectuar a integração através da vossa API. Ao correr o Colibri normalmente, não tenho qualquer problema, no entanto, ao efectuar o login através da API (segundo o vosso exemplo, mas usando o login através do MySQL) obtenho um erro a indicar que a base de dados está inconsistente. A BD foi criada com a última versão do Colibri que está disponível para download na versão Linux e a com a versão mais recente do exemplo que está no github.

Envio em anexo o erro log que me está a ser apresentado.

Podem ajudar?

Obrigado.

Cumprimentos,
André Macedo.
Última Edição: 07 Nov. 2015 02:13 por marcolopes.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: anakin84

Erro "A base de dados está inconsistente" 22 Ago. 2013 07:05 #6293

  • RRocha
  • Avatar de RRocha
  • Offline
  • Mensagens: 31
  • Obrigado recebido 2
marcolopes escreveu:
A base de dados foi criada com uma VERSÃO do Colibri SUPERIOR à versão da API!
O Colibri NÃO permite o uso de uma base de dados criada numa versão SUPERIOR.

Faria sentido se eu tivesse a querer usar a versão 9 e 8 ao mesmo tempo. Como não vi no forum nada referente a isto decidi criar tópico, afinal generalizando API e RCP estavam na versão 9.
marcolopes escreveu:
Porque não criar a base de dados através da API? O processo de LOGIN faz a criação automática!

Foi como fiz, mas é preciso alertar pois alguem que já tenha criado a BD com o RCP assim que tentar correr a API vai ter essa questão pela frente e terá de então mudar a config na tabela respectiva.

Criei o Tópico para saber se o problema era meu se havia alguma questão a considerar com a API. Fica registado então.

Obrigado.
Última Edição: 22 Ago. 2013 12:35 por marcolopes.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes

Erro "A base de dados está inconsistente" 21 Ago. 2013 21:43 #6292

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5361
  • Obrigado recebido 745
A base de dados foi criada com uma VERSÃO do Colibri SUPERIOR à versão da API!

O Colibri NÃO permite o uso de uma base de dados criada numa versão SUPERIOR.

Porque não criar a base de dados através da API? O processo de LOGIN faz a criação automática!

Se quiser aproveitar a base de dados existente, e como estamos a falar na mesma MINOR version (9.2), pode EDITAR a tabela PARAMETROS da base de dados, e alterar o campo VERSION para a versão da API (ex: "9.2.0")
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.
  • Página:
  • 1
  • 2
Moderadores: marcolopes
Desenvolvido por Kunena